%define pkgname xkb-utils
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 xkb utilities
Name: 		xorg-x11-%{pkgname}
Version: 	1.0.3
# NOTE: Bump the release field when updating xkbcomp/xkbevd/xkbprint/setxkbmap,
# as the package version is supposed to be the xkbutils version.
Release: 	1
Epoch:		1
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/app/xkbutils-%{version}.tar.bz2
Source1: 	http://xorg.freedesktop.org/releases/individual/app/xkbcomp-1.2.0.tar.bz2
Source2: 	http://xorg.freedesktop.org/releases/individual/app/xkbevd-1.1.1.tar.bz2
Source3: 	http://xorg.freedesktop.org/releases/individual/app/xkbprint-1.0.2.tar.bz2
Source4: 	http://xorg.freedesktop.org/releases/individual/app/setxkbmap-1.2.0.tar.bz2

BuildRequires: 	pkg-config
# libxkbfile-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libxkbfile-devel
# libX11-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libX11-devel
# libXaw-devel needed for xkbutils
BuildRequires: libXaw-devel
# libXt-devel needed for xkbutils
BuildRequires: libXt-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXext
# libXext-devel needed for xkbutils (from above error)
BuildRequires: libXext-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXpm
# libXpm-devel needed for xkbutils (from above error)
BuildRequires: libXpm-devel

#Provides: %{pkgname}
Provides: setxkbmap, xkbcomp, xkbevd, xkbprint, xkbutils
# NOTE: The XFree86, and xorg-x11 packages used to contain the xkb utilities
# in the previous monolithic based releases.
Obsoletes: xorg

%description
X.Org X11 xkb utilities

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4

%build
# Build everything
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT

# Install everything
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc xkbutils-%{version}/COPYING xkbutils-%{version}/INSTALL
%doc xkbutils-%{version}/README xkbutils-%{version}/ChangeLog
%{_bindir}/setxkbmap
%{_bindir}/xkbbell
%{_bindir}/xkbcomp
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
%{_mandir}/man1/setxkbmap.1.gz
%{_mandir}/man1/xkbbell.1.gz
%{_mandir}/man1/xkbcomp.1.gz
%{_mandir}/man1/xkbevd.1.gz
%{_mandir}/man1/xkbprint.1.gz
%{_mandir}/man1/xkbvleds.1.gz
%{_mandir}/man1/xkbwatch.1.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.3-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.2-3
- xkbprint 1.0.2
* Tue Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.2-2
- version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.3-2
- updated xkbcomp to version 1.0.5
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
